This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 923908 - [abrt] gnome-initial-setup-0.8-1.fc19: on_realmd_disappeared: Process /usr/libexec/gnome-initial-setup was killed by signal 11 (SIGSEGV)
[abrt] gnome-initial-setup-0.8-1.fc19: on_realmd_disappeared: Process /usr/li...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-initial-setup (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jasper St. Pierre
Fedora Extras Quality Assurance
abrt_hash:6a11ac1a856bdc679bb942b943c...
:
Depends On:
Blocks: F19Alpha/F19AlphaBlocker
  Show dependency treegraph
 
Reported: 2013-03-20 13:17 EDT by Adam Williamson
Modified: 2013-03-22 21:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-22 21:52:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (20.73 KB, text/plain)
2013-03-20 13:17 EDT, Adam Williamson
no flags Details
File: cgroup (143 bytes, text/plain)
2013-03-20 13:17 EDT, Adam Williamson
no flags Details
File: core_backtrace (1.20 KB, text/plain)
2013-03-20 13:17 EDT, Adam Williamson
no flags Details
File: dso_list (27.41 KB, text/plain)
2013-03-20 13:17 EDT, Adam Williamson
no flags Details
File: environ (1.23 KB, text/plain)
2013-03-20 13:17 EDT, Adam Williamson
no flags Details
File: limits (1.29 KB, text/plain)
2013-03-20 13:17 EDT, Adam Williamson
no flags Details
File: maps (113.60 KB, text/plain)
2013-03-20 13:17 EDT, Adam Williamson
no flags Details
File: open_fds (987 bytes, text/plain)
2013-03-20 13:17 EDT, Adam Williamson
no flags Details
File: proc_pid_status (924 bytes, text/plain)
2013-03-20 13:17 EDT, Adam Williamson
no flags Details
File: var_log_messages (4.45 KB, text/plain)
2013-03-20 13:17 EDT, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2013-03-20 13:17:10 EDT
Description of problem:


Version-Release number of selected component:
gnome-initial-setup-0.8-1.fc19

Additional info:
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-initial-setup
crash_function: on_realmd_disappeared
executable:     /usr/libexec/gnome-initial-setup
kernel:         3.9.0-0.rc3.git0.3.fc19.x86_64
uid:            991
ureports_counter: 2

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 on_realmd_disappeared at gis-account-page.c:846
 #1 do_call at /lib64/libgio-2.0.so.0
 #2 on_name_owner_changed at /lib64/libgio-2.0.so.0
 #3 emit_signal_instance_in_idle_cb at /lib64/libgio-2.0.so.0
 #5 g_main_context_iterate.isra.22 at /lib64/libglib-2.0.so.0
 #6 g_main_context_iteration at /lib64/libglib-2.0.so.0
 #7 g_application_run at /lib64/libgio-2.0.so.0
Comment 1 Adam Williamson 2013-03-20 13:17:13 EDT
Created attachment 713365 [details]
File: backtrace
Comment 2 Adam Williamson 2013-03-20 13:17:15 EDT
Created attachment 713366 [details]
File: cgroup
Comment 3 Adam Williamson 2013-03-20 13:17:17 EDT
Created attachment 713367 [details]
File: core_backtrace
Comment 4 Adam Williamson 2013-03-20 13:17:19 EDT
Created attachment 713368 [details]
File: dso_list
Comment 5 Adam Williamson 2013-03-20 13:17:23 EDT
Created attachment 713369 [details]
File: environ
Comment 6 Adam Williamson 2013-03-20 13:17:24 EDT
Created attachment 713370 [details]
File: limits
Comment 7 Adam Williamson 2013-03-20 13:17:26 EDT
Created attachment 713371 [details]
File: maps
Comment 8 Adam Williamson 2013-03-20 13:17:28 EDT
Created attachment 713372 [details]
File: open_fds
Comment 9 Adam Williamson 2013-03-20 13:17:30 EDT
Created attachment 713373 [details]
File: proc_pid_status
Comment 10 Adam Williamson 2013-03-20 13:17:32 EDT
Created attachment 713374 [details]
File: var_log_messages
Comment 11 Adam Williamson 2013-03-20 13:18:31 EDT
See also https://bugzilla.redhat.com/show_bug.cgi?id=923501 .
Comment 12 Adam Williamson 2013-03-20 19:42:04 EDT
This crash is apparently independent of 923501. It happens even with that bug fixed - g-i-s runs for a while, then suddenly crashes.
Comment 13 Adam Williamson 2013-03-20 19:42:28 EDT
Proposing as an Alpha blocker: "A system installed with a graphical package set must boot to the 'firstboot' utility on the first boot after installation. The firstboot utility must be able to create a working user account."

OK, we need to re-word that for initial-setup, but it's clearly breaching the spirit.
Comment 14 Adam Williamson 2013-03-21 02:45:37 EDT
The latest build fixes this, I've tested it, just waiting a bit until it hits the public repos before closing.
Comment 15 Adam Williamson 2013-03-22 21:52:38 EDT
should be long enough now.

Note You need to log in before you can comment on or make changes to this bug.